MENU

Centos8安装Docker

April 17, 2020 • Read: 116 • Note,Linux

删除旧版本,为确保统一,建议大家都执行一下,如果yum报告未安装这些软件包,则可以下一步了。

        yum remove docker \
                  docker-client \
                  docker-client-latest \
                  docker-common \
                  docker-latest \
                  docker-latest-logrotate \
                  docker-logrotate \
                  docker-engine

安装yum-utils软件包(提供yum-config-manager 实用程序)并设置稳定的存储库。

yum install -y yum-utils

yum-config-manager  --add-repo   https://download.docker.com/linux/centos/docker-ce.repo

安装最新版本的Docker Engine和容器,Centos8跳过看下面

yum install docker-ce docker-ce-cli containerd.io

我是Centos8.1的,在这里报错了

Problem: package docker-ce-3:19.03.4-3.el7.x86_64 requires containerd.io >= 1.2.2-3 

所以我需要先装新版的 containerd.io

dnf install https://download.docker.com/linux/centos/7/x86_64/stable/Packages/containerd.io-1.2.6-3.3.el7.x86_64.rpm

yum install docker-ce docker-ce-cli

启动docker

systemctl start docker

查看版本

docker --version

开机自启

systemctl enable docker

本站所有未注明转载的文章均为原创,并采用CC BY-NV-SA 4.0 授权协议,转载请注明来源。

Archives QR Code
QR Code for this page
Tipping QR Code